function  ACF=autocorr(Series,nLags)

%AUTOCORR  Compute the sample auto-correlation function (ACF) of a univariate, 
%          stochastic time series. The number of lags of the ACF is given
%          by the input nLags. 
%
%          This M-file adjust slightly the M-file autocorr.m provided in
%          the GARGH Toolbox.

nFFT =  2^(nextpow2(length(Series)) + 1);
F    =  fft(Series-mean(Series) , nFFT);
F    =  F .* conj(F);
ACF  =  ifft(F);
ACF  =  ACF(1:(nLags + 1));         % Retain non-negative lags.
ACF  =  ACF ./ ACF(1);     % Normalize.
ACF  =  real(ACF);

